<?php
$EmailFrom = "posti@ratsastajankunto.fi";
$EmailTo = "anne.hyttinen@ratsastajankunto.fi";


$testaajan_sposti = $_POST["testaajan_sposti"];
$tayttaja_sposti = $_POST["tayttaja_sposti"];

$lista = $_POST;

$avaimet = array_keys($lista);
//$lista = json_decode($lista);

$Msg = '<html><head></head><body>';

for($i=2; $i < count($avaimet); $i++) 
{
	if(isset($lista[$avaimet[$i]]))
	{
		$Msg .= $lista[$avaimet[$i]];
		$Msg .= "<br>";
	}
}

$Msg .= "</body></html>";

if (true && strpos($testaajan_sposti,'@') !== false) 
{

	// validation
	$validationOK=true;
	if (!$validationOK) {
	  print "<meta http-equiv=\"refresh\" content=\"0;URL=error.htm\">";
	  exit;
	}

	$Subject = "Ratsastajankunto esitietolomake";

	// prepare email Msg text
	

	$headers = 'MIME-Version: 1.0' . "\r\n";
	$headers .= 'Content-Type: text/html; charset=UTF-8' . "\r\n";
	$headers .= "Reply-To: ". $EmailFrom . "\r\n";
	$headers .= "From: " . $EmailFrom . " \r\n";
	$headers .= "Return-Path: " . $EmailFrom . " \r\n";
	$headers .= 'X-Mailer: PHP/' . phpversion();

	//Toisen sählöpostin lähetys


	// send email 
	$success = mail($EmailTo.', '.$testaajan_sposti.', '.$tayttaja_sposti, $Subject, $Msg, $headers);
	//$success = mail("sami.t199090@gmail.com", $Subject, $Msg, $headers);
	// redirect to success page 
	if ($success){
	  
	  echo "Tulosten tallentaminen onnistui.";
	}
	else{
	  
	  echo "Jokin meni pieleen. Kokeile uudestaan tai ota yhteyttä kuntotestaajaasi.";
	}
}


else{
  
  echo 2;
}
?>